質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.35%

  • Ruby on Rails

    5075questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

rails unicron エラー ArgumentError: paths need to start with /

受付中

回答 0

投稿 2017/12/07 18:56

  • 評価
  • クリップ 0
  • VIEW 37

shortcut

score 0

Rails 5 で unicorn + Nginx 環境を構築してます。

unicorn起動時に下記のようなエラーが出ます。
これの対処方法はございますか?

ArgumentError: paths need to start with /
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rack-contrib-2.0.0/lib/rack/contrib/access.rb:38:in block in remap'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rack-contrib-2.0.0/lib/rack/contrib/access.rb:30:in each'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rack-contrib-2.0.0/lib/rack/contrib/access.rb:30:in map'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rack-contrib-2.0.0/lib/rack/contrib/access.rb:30:in remap'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rack-contrib-2.0.0/lib/rack/contrib/access.rb:26:in initialize'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/actionpack-5.1.4/lib/action_dispatch/middleware/stack.rb:35:in new'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/actionpack-5.1.4/lib/action_dispatch/middleware/stack.rb:35:in build'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/actionpack-5.1.4/lib/action_dispatch/middleware/stack.rb:99:in block in build'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/actionpack-5.1.4/lib/action_dispatch/middleware/stack.rb:99:in each'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/actionpack-5.1.4/lib/action_dispatch/middleware/stack.rb:99:in inject'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/actionpack-5.1.4/lib/action_dispatch/middleware/stack.rb:99:in build'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/engine.rb:508:in block in app'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/engine.rb:504:in synchronize'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/engine.rb:504:in app'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/application/finisher.rb:45:in block in <module:Finisher>'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/initializable.rb:30:in instance_exec'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/initializable.rb:30:in run'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/initializable.rb:59:in block in run_initializers'
/root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:228:in block in tsort_each'   /root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:350:in block (2 levels) in each_strongly_connected_component'
/root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:431:in each_strongly_connected_component_from'   /root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:349:in block in each_strongly_connected_component'
/root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:347:in each'   /root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:347:in call'
/root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:347:in each_strongly_connected_component'   /root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:226:in tsort_each'
/root/.rbenv/versions/2.4.1/lib/ruby/2.4.0/tsort.rb:205:in tsort_each'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/initializable.rb:58:in run_initializers'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/railties-5.1.4/lib/rails/application.rb:353:in initialize!'   /var/www/dev/rails/dev1/config/environment.rb:5:in <top (required)>'
config.ru:4:in require_relative'   config.ru:4:in block in <main>'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/builder.rb:55:in instance_eval'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/builder.rb:55:in initialize'
config.ru:1:in new'   config.ru:1:in <main>'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/unicorn-5.3.1/lib/unicorn.rb:56:in eval'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/unicorn-5.3.1/lib/unicorn.rb:56:in block in builder'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/unicorn-5.3.1/bin/unicorn_rails:139:in block in rails_builder'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/unicorn-5.3.1/lib/unicorn/http_server.rb:796:in build_app!'
/root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/unicorn-5.3.1/lib/unicorn/http_server.rb:139:in start'   /root/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/unicorn-5.3.1/bin/unicorn_rails:209:in <top (required)>'
/root/.rbenv/versions/2.4.1/bin/unicorn_rails:22:in load'   /root/.rbenv/versions/2.4.1/bin/unicorn_rails:22:in <top (required)>'

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.35%

関連した質問

同じタグがついた質問を見る

  • Ruby on Rails

    5075questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。